--exec [C6StagingPeriodico].[test_compl_testo_sezione_adeg] 'f', 'BLDMRA59E22G999d', '2015-06-01'
CREATE procedure [C6StagingPeriodico].[test_compl_testo_sezione_adeg_V.1.0]
	@Rete nvarchar(1),
	@CodiceFiscale varchar(16),
	@DTTRIM datetime = null
AS
BEGIN
DECLARE @d nvarchar(8)
set @d = cast(year(@DTTRIM) as nvarchar(4)) + RIGHT('0'+cast(month(@DTTRIM) as nvarchar(2)), 2)
 + RIGHT('0'+cast(day(@DTTRIM) as nvarchar(2)),2)
print @d 
if @DTTRIM is null
select @d = max(DTTRIM) from 
[C6StagingPeriodico].[WSEIAN2] 
INNER JOIN [C6StagingPeriodico].[CASISTICHE_ADEGUATEZZA]
ON [CLCOMPL]=[COMPLESSITA] and [FLGCONC]=[CONCENTRAZIONE]
WHERE codfis = @CodiceFiscale and RETE = @Rete
SELECT top(1) [TESTO_NOTA] FROM 
[C6StagingPeriodico].[WSEIAN2] 
INNER JOIN [C6StagingPeriodico].[CASISTICHE_ADEGUATEZZA]
ON [CLCOMPL]=[COMPLESSITA] and [FLGCONC]=[CONCENTRAZIONE]
WHERE codfis  = @CodiceFiscale and RETE = @Rete
and DTTRIM=@d
END